// Copyright (c) 2012 Ecma International.  All rights reserved.
// Ecma International makes this code available under the terms and conditions set
// forth on http://hg.ecmascript.org/tests/test262/raw-file/tip/LICENSE (the
// "Use Terms").   Any redistribution of this code must retain the above
// copyright and this notice and otherwise comply with the Use Terms.

/*---
es5id: 15.2.3.10-3-10
description: >
    Object.preventExtensions - indexed properties cannot be added into
    an Error object
includes: [propertyHelper.js]
---*/

var errObj = new Error();

assert(Object.isExtensible(errObj));
Object.preventExtensions(errObj);
assert(!Object.isExtensible(errObj));

verifyNotWritable(errObj, "0", "nocheck");

assert(!errObj.hasOwnProperty("0"));

